Update
curl --request PATCH \
--url https://{defaultHost}/v1/line_items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"line_item": {
"quantity": 2
}
}
'import requests
url = "https://{defaultHost}/v1/line_items/{id}"
payload = { "line_item": { "quantity": 2 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({line_item: {quantity: 2}})
};
fetch('https://{defaultHost}/v1/line_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/line_items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'line_item' => [
'quantity' => 2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/line_items/{id}"
payload := strings.NewReader("{\n \"line_item\": {\n \"quantity\": 2\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{defaultHost}/v1/line_items/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"line_item\": {\n \"quantity\": 2\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/line_items/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"line_item\": {\n \"quantity\": 2\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "f7c1a877-acff-4926-82f7-78f9556b0cd3",
"object": "line_item",
"ad_hoc_amount": null,
"discount_amount": 0,
"fees_amount": 0,
"full_amount": 5800,
"fulfilled_quantity": 0,
"locked": false,
"note": null,
"purchasable_status": "purchasable",
"quantity": 2,
"g_weight": 0,
"scratch_amount": 5800,
"stock_held": false,
"subtotal_amount": 5800,
"tax_amount": 0,
"tax_breakdown": [],
"tax_rate": 0,
"total_amount": 5800,
"total_savings_amount": 0,
"trial": false,
"trial_amount": 0,
"unit_dimensions_cm": null,
"unit_g_weight": 0,
"variant_options": null,
"variant_option_names": null,
"bump": null,
"checkout": "48298a08-dc6a-4754-a1ec-57dbc8391a33",
"price": "52b11263-86f4-430c-b279-bd87ee787cbc",
"upsell": null,
"variant": null,
"swap": null,
"component_line_item": false,
"bundle_component_variants": {},
"bundle_line_item": null,
"created_at": 1793796914,
"updated_at": 1793796915
}Line Items
Update
Updates a specific line item.
PATCH
/
v1
/
line_items
/
{id}
Update
curl --request PATCH \
--url https://{defaultHost}/v1/line_items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"line_item": {
"quantity": 2
}
}
'import requests
url = "https://{defaultHost}/v1/line_items/{id}"
payload = { "line_item": { "quantity": 2 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({line_item: {quantity: 2}})
};
fetch('https://{defaultHost}/v1/line_items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/line_items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'line_item' => [
'quantity' => 2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/line_items/{id}"
payload := strings.NewReader("{\n \"line_item\": {\n \"quantity\": 2\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{defaultHost}/v1/line_items/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"line_item\": {\n \"quantity\": 2\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/line_items/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"line_item\": {\n \"quantity\": 2\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "f7c1a877-acff-4926-82f7-78f9556b0cd3",
"object": "line_item",
"ad_hoc_amount": null,
"discount_amount": 0,
"fees_amount": 0,
"full_amount": 5800,
"fulfilled_quantity": 0,
"locked": false,
"note": null,
"purchasable_status": "purchasable",
"quantity": 2,
"g_weight": 0,
"scratch_amount": 5800,
"stock_held": false,
"subtotal_amount": 5800,
"tax_amount": 0,
"tax_breakdown": [],
"tax_rate": 0,
"total_amount": 5800,
"total_savings_amount": 0,
"trial": false,
"trial_amount": 0,
"unit_dimensions_cm": null,
"unit_g_weight": 0,
"variant_options": null,
"variant_option_names": null,
"bump": null,
"checkout": "48298a08-dc6a-4754-a1ec-57dbc8391a33",
"price": "52b11263-86f4-430c-b279-bd87ee787cbc",
"upsell": null,
"variant": null,
"swap": null,
"component_line_item": false,
"bundle_component_variants": {},
"bundle_line_item": null,
"created_at": 1793796914,
"updated_at": 1793796915
}Authorizations
Query Parameters
Response
200 - application/json
Success
Expandable – The associated bump ID.
Expandable – The associated bundle line item ID.
Expandable – The associated checkout ID.
Expandable – Property not returned unless expanded.
Expandable – The associated price ID.
Expandable – The associated swap ID.
Expandable – The associated upsell ID.
Expandable – The associated variant ID.
Was this page helpful?